Bug 819852 - Improving SOAPProxy classpath protocol logging messages
Improving SOAPProxy classpath protocol logging messages
Status: MODIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: JBossESB (Show other bugs)
5.3.0 GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: tcunning
:
Depends On:
Blocks: 852806 860046
  Show dependency treegraph
 
Reported: 2012-05-08 07:48 EDT by Vinicius
Modified: 2012-11-20 14:30 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 852806 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBESB-3874 Major Closed Improve RemoteWsdlLoader error messages and logging 2014-06-20 02:27:05 EDT

  None (edit)
Description Vinicius 2012-05-08 07:48:55 EDT
Description of problem:

Some users are requesting an upgrade on logging/error messages for org.jboss.soa.esb.actions.soap.proxy.SOAPProxy class when using "classpath://" protocol for the following situations:

- I attached a test case for you to try. Just deploy the esb and it should throw "java.net.MalformedURLException: unknown protocol: classpath" Although I 

    -- The NPE is raised on this call:

      org.jboss.soa.esb.actions.soap.RemoteWsdlLoader

	~line 78
  
	else if(url.startsWith("classpath://")) {
        	originalStream = ClassUtil.getResource(url.substring(12, url.length()), getClass()).openStream();
        } 

  - NullPointerException when wsdl is not found in the classpath should have a friendlier message;

  - classpath invalid characters (eg. backslash "\") validation. 

    -- Current message: org.jboss.soa.esb.ConfigurationException: 'url' property is not a valid URI." Test case: change

How reproducible:
Easy

Steps to Reproduce:
1. Deploy the attached  project "UlkoisetYhteydet-EP-esb.esb"
Comment 1 JBoss JIRA Server 2012-11-20 14:30:38 EST
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3874 to Resolved
Comment 2 JBoss JIRA Server 2012-11-20 14:30:44 EST
Tom Cunningham <tcunning@redhat.com> updated the status of jira JBESB-3874 to Closed

Note You need to log in before you can comment on or make changes to this bug.